---
addusers:
  etcd:
    name: etcd
    comment: "Etcd user"
    createhome: yes
    home: "/var/lib/etcd"
    system: yes
    shell: /bin/nologin
  kube:
    name: kube
    comment: "Kubernetes user"
    shell: /sbin/nologin
    system: yes
    group: "{{ kube_cert_group }}"
    createhome: no

adduser:
  name: "{{ user.name }}"
  group: "{{ user.name|default(None) }}"
  comment: "{{ user.comment|default(None) }}"
  shell: "{{ user.shell|default(None) }}"
  system: "{{ user.system|default(None) }}"
  createhome: "{{ user.createhome|default(None) }}"
